Skip to main content
GET
/
agent-sessions
/
{session_id}
/
tools
List session tools
import requests

url = "https://app.ubik-agent.com/api/v1/agent-sessions/{session_id}/tools"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "input_schema": {
      "type": "<unknown>",
      "properties": {},
      "required": [
        "<string>"
      ],
      "additionalProperties": false,
      "$defs": {}
    },
    "media_output_keys": [
      "<string>"
    ],
    "example_responses": [
      {}
    ],
    "description": "<string>"
  }
]

Authorizations

X-API-KEY
string
header
required

Headers

X-End-User-ID
string | null

Path Parameters

session_id
string<uuid>
required

Response

Successful Response

id
string<uuid>
required

The unique identifier for the tool.

name
string
required

The name of the tool.

input_schema
ToolInputSchema · object
required

The JSON schema defining the inputs for the tool.

media_output_keys
string[]
required

A list of keys in the output that contain media URLs.

example_responses
Example Responses · object[]
required

A list of example inputs and their corresponding outputs for the tool.

description
string | null

A brief description of what the tool does.